
<div class='tabs' id="property-details-tabs">
	<div class='tabs__buttons'>
		<ul>
			<?php if (isset($property['Paragraph']) && !empty($property['Paragraph'])): ?>
					<li>
						<a href='#tabs__1'>Full Description</a>
					</li>
				<?php endif; ?>
			<?php if (!empty($property['FloorplanImage'])): ?>
					<li>
						<a href='#tabs__2'>Floor Plans</a>
					</li>
				<?php endif; ?>
			<?php if ((!empty($property['DetailmapImage']) || !empty($property['StreetmapImage']) || !empty($property['TownmapImage'])) && !$isMobile): ?>
					<li>
						<a href='#tabs__3'>Site Plans</a>
					</li>
				<?php endif; ?>
			<?php if ((isset($property['Property']['latitude']) && !empty($property['Property']['latitude'])) && (isset($property['Property']['longitude']) && !empty($property['Property']['longitude']))): ?>
					<li>
						<a href='#tabs__4'>View Map</a>
					</li>
					<?php if (!$isMobile): ?>
						<li>
							<a href='#tabs__5'>Street View</a>
						</li>
					<?php endif; ?>
				<?php endif; ?>
			<?php if (!empty($property['EpcImage']) && !$isMobile): ?>
					<li>
						<a href='#tabs__6'>EPCs</a>
					</li>
				<?php endif; ?>
		</ul>
	</div>

	<?php
		$fullImage = array('class' => 'full', 'crop' => false);
	?>

	<?php if (isset($property['Paragraph']) && !empty($property['Paragraph'])): ?>
			<div id='tabs__1'>
				<div class="tabs__content">
					<?php
					$text = array();
					foreach ($property['Paragraph'] as $key => $paragraph) {
						if (!isset($paragraph['text']) || empty($paragraph['text']) || $paragraph['text'] === null) {
							unset($property['Paragraph'][$key]);
						} else {
							$text[$key] = strlen($paragraph['text']);
						}
					}
					//array_multisort($text, SORT_ASC, $property['Paragraph']);
					$rows = array_chunk($property['Paragraph'], 2);
					?>
					<?php foreach ($rows as $row): ?>
						<div class="row">
							<?php foreach ($row as $paragraph): ?>
								<?php
								if (empty($paragraph['text'])) { // skip any paras without contnet
									continue;
								}
								?>
								<div class="col-xs-12 col-sm-6">
									<h3><?php echo $paragraph['name']; ?></h3>
									<p><?php echo $paragraph['text']; ?></p>
								</div>
							<?php endforeach; ?>
						</div>
					<?php endforeach; ?>
				</div>
			</div>
		<?php endif; ?>

	<?php if (!empty($property['FloorplanImage'])): ?>
			<div id='tabs__2'>
				<div class="tabs__content">
					<?php foreach ($property['FloorplanImage'] as $image): ?>
						<div><?php echo $this->Image->resize($image, $fullImage); ?></div>
					<?php endforeach; ?>
					<?php if ($isMobile): ?>
						<?php if (!empty($property['DetailmapImage'])): ?>
							<?php foreach ($property['DetailmapImage'] as $image): ?>
								<div><?php echo $this->Image->resize($image, $fullImage); ?></div>
							<?php endforeach; ?>
						<?php endif; ?>

						<?php if (!empty($property['StreetmapImage'])): ?>
							<?php foreach ($property['StreetmapImage'] as $image): ?>
								<div><?php echo $this->Image->resize($image, $fullImage); ?></div>
							<?php endforeach; ?>
						<?php endif; ?>

						<?php if (!empty($property['TownmapImage'])): ?>
							<?php foreach ($property['TownmapImage'] as $image): ?>
								<div><?php echo $this->Image->resize($image, $fullImage); ?></div>
							<?php endforeach; ?>
						<?php endif; ?>
					<?php endif; ?>
				</div>
			</div>
		<?php endif; ?>

	<?php if ((!empty($property['DetailmapImage']) || !empty($property['StreetmapImage']) || !empty($property['TownmapImage'])) && !$isMobile): ?>
			<div id='tabs__3'>
				<div class="tabs__content">
					<?php if (!empty($property['DetailmapImage'])): ?>
						<?php foreach ($property['DetailmapImage'] as $image): ?>
							<div><?php echo $this->Image->resize($image, $fullImage); ?></div>
						<?php endforeach; ?>
					<?php endif; ?>

					<?php if (!empty($property['StreetmapImage'])): ?>
						<?php foreach ($property['StreetmapImage'] as $image): ?>
							<div><?php echo $this->Image->resize($image, $fullImage); ?></div>
						<?php endforeach; ?>
					<?php endif; ?>

					<?php if (!empty($property['TownmapImage'])): ?>
						<?php foreach ($property['TownmapImage'] as $image): ?>
							<div><?php echo $this->Image->resize($image, $fullImage); ?></div>
						<?php endforeach; ?>
					<?php endif; ?>
				</div>
			</div>
		<?php endif; ?>

	<?php if ((isset($property['Property']['latitude']) && !empty($property['Property']['latitude'])) && (isset($property['Property']['longitude']) && !empty($property['Property']['longitude']))): ?>
			<div id='tabs__4' class="property-details-google-map">
				<div class="tabs__content">
					<div
						id="property-details-map"
						data-lat="<?php echo $property['Property']['latitude']; ?>"
						data-lng="<?php echo $property['Property']['longitude']; ?>"
						data-zoomLevel="16"
						style="width: 100%; height: 500px;">
					</div>
				</div>
			</div>
			<?php if (!$isMobile): ?>
				<div id='tabs__5' class="property-details-google-streetview">
					<div class="tabs__content">
						<div
							class="street_view"
							id="property-details-streetview"
							data-lat="<?php echo $property['Property']['latitude']; ?>"
							data-long="<?php echo $property['Property']['longitude']; ?>"
							style="width: 100%; height: 500px; float: left;">
						</div>
					</div>
				</div>
			<?php endif; ?>
		<?php endif;
	?>

	<?php if (!empty($property['EpcImage']) && !$isMobile): ?>
			<div id='tabs__6'>
				<div class="tabs__content">
					<?php foreach ($property['EpcImage'] as $image): ?>
						<div><?php echo $this->Image->resize($image, $fullImage); ?></div>
					<?php endforeach; ?>
				</div>
			</div>
		<?php endif; ?>
</div>